agent-studio
List Processor Runs
The team’s runs of this processor, newest first (version-groupable: each run carries its pinned version label; plane-filterable).
GET
/
api
/
v1
/
agent-studio
/
processors
/
{processor_id}
/
runs
List Processor Runs
import requests
url = "https://www.datalab.to/api/v1/agent-studio/processors/{processor_id}/runs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://www.datalab.to/api/v1/agent-studio/processors/{processor_id}/runs \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://www.datalab.to/api/v1/agent-studio/processors/{processor_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.datalab.to/api/v1/agent-studio/processors/{processor_id}/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"runs": [
{
"id": 123,
"processor_id": "<string>",
"version": "<string>",
"plane": "design",
"status": "queued",
"error": {
"kind": "input",
"message": "<string>"
},
"doc_name": "<string>",
"request_id": "<string>",
"scorecard": {},
"check_results": [
{
"check_id": "<string>",
"name": "<string>",
"status": "pass",
"blocking": true,
"message": "<string>",
"locators": [
{
"run_id": "<string>",
"doc_name": "<string>",
"surface": {
"kind": "page",
"label": "<string>",
"number": 1
},
"block_id": "<string>",
"cell": {
"row": 1,
"col": 1
},
"word_range": {
"[0]": 123,
"[1]": 123
},
"bbox": {
"[0]": 123,
"[1]": 123,
"[2]": 123,
"[3]": 123
},
"field_path": "<string>",
"check_id": "<string>",
"rule_id": "<string>",
"segment": "<string>",
"turn": 1
}
]
}
],
"flag_ids": [
123
],
"token_usage": {},
"turns": 1,
"started": "2023-11-07T05:31:56Z",
"finished": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Path Parameters
Query Parameters
Filter to one version label, e.g. '1.0'.
Filter to one plane (design | execution); default both.
Pattern:
^(design|execution)$Required range:
1 <= x <= 200Required range:
x >= 0Was this page helpful?
⌘I
List Processor Runs
import requests
url = "https://www.datalab.to/api/v1/agent-studio/processors/{processor_id}/runs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://www.datalab.to/api/v1/agent-studio/processors/{processor_id}/runs \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://www.datalab.to/api/v1/agent-studio/processors/{processor_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.datalab.to/api/v1/agent-studio/processors/{processor_id}/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"runs": [
{
"id": 123,
"processor_id": "<string>",
"version": "<string>",
"plane": "design",
"status": "queued",
"error": {
"kind": "input",
"message": "<string>"
},
"doc_name": "<string>",
"request_id": "<string>",
"scorecard": {},
"check_results": [
{
"check_id": "<string>",
"name": "<string>",
"status": "pass",
"blocking": true,
"message": "<string>",
"locators": [
{
"run_id": "<string>",
"doc_name": "<string>",
"surface": {
"kind": "page",
"label": "<string>",
"number": 1
},
"block_id": "<string>",
"cell": {
"row": 1,
"col": 1
},
"word_range": {
"[0]": 123,
"[1]": 123
},
"bbox": {
"[0]": 123,
"[1]": 123,
"[2]": 123,
"[3]": 123
},
"field_path": "<string>",
"check_id": "<string>",
"rule_id": "<string>",
"segment": "<string>",
"turn": 1
}
]
}
],
"flag_ids": [
123
],
"token_usage": {},
"turns": 1,
"started": "2023-11-07T05:31:56Z",
"finished": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}